Package twisted :: Package application :: Module internet :: Class _AbstractServer

[frames | no frames]

## Class _AbstractServer

             Service --+
                       |
    _VolatileDataService --+
                           |
                          _AbstractServer

Known Subclasses:
  `GenericServer`, `MulticastServer`, `SSLServer`, `TCPServer`, `UDPServer`, `UNIXDatagramServer`, `UNIXServer`

Method Summary
| `__init__(self, *args, **kwargs)`
| `_getPort(self)`
| `privilegedStartService(self)`
| `startService(self)`
| `stopService(self)`
Inherited from _VolatileDataService
| ``__getstate__`(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`NoneType` | `method` = None
`int` | `privileged` = 1
`list` | `volatile` = `['_port']`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

### method

  Type:
    `NoneType`
  Value:

        None

### privileged

  Type:
    `int`
  Value:

        1

### volatile

  Type:
    `list`
  Value:

        ['_port']

Generated by Epydoc 2.0 on Sat May 15 20:07:45 2004 | http://epydoc.sf.net